Is it possible to have both Unity 4 and 5 on Mac OS X

I’m developing in Unity 4 and want to play with Unity 5.
When I install Unity 5 it installed over Unity 4.

Is there a recommended way to have them both on Mac OS X machine?

I am always use multiple versions of Unity, and there is no problem with it.

After install Unity, open Applications folder, rename your Unity folder (for example Unity4.x.x), that’s all.

[37624-screen+shot+2014-12-26+at+11.38.29.png|37624]